Gtk2::CellRendererToggle(3p)

NAME
Gtk2::CellRendererToggle

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererToggle

METHODS

  cellrenderer = Gtk2::CellRendererToggle->new

  boolean = $toggle->get_active

  $toggle->set_active ($setting)

•   $setting (boolean)

  boolean = $toggle->get_radio

  $toggle->set_radio ($radio)

•   $radio (boolean)

PROPERTIES

'activatable' (boolean : readable / writable / private)
    The toggle button can be activated

'active' (boolean : readable / writable / private)
    The toggle state of the button

'inconsistent' (boolean : readable / writable / private)
    The inconsistent state of the button

'indicator-size' (integer : readable / writable / private)
    Size of check or radio indicator

'radio' (boolean : readable / writable / private)
    Draw the toggle button as a radio button

SIGNALS

toggled (Gtk2::CellRendererToggle, string)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.